<?
foreach($_POST as $post)
if ((eregi("[^0-9a-zA-Z_@:.,?<> ]", $post)) ) {
die("<script>alert('SQL Inject detectado! Por favor digite apenas números e letras! A ação foi cancelada pelo servidor.'); location='javascript:history.back()'</script>");
}
foreach($_GET as $get)
if ((eregi("[^0-9a-zA-Z_-] ", $get)) ) {
die("<script>alert('SQL Inject detectado! Por favor digite apenas números e letras! A ação foi cancelada pelo servidor.'); location='javascript:history.back()'</script>");
}
?>
<?
include '../cnn.php';
session_start();
$login = $_SESSION['login'];
$senha = $_SESSION['senha'];
if(!(isset($_SESSION['login']) OR isset($_SESSION['senha']))) { 
echo "<table width='100%' height='41' cellpadding='0' cellspacing='0'>
  <tr>
    <td height='25' valign='middle' background='images/menu_meio.jpg'><table width='99%' height='18' cellpadding='0' cellspacing='0'>
      <tr>
        <td width='6%' valign='middle'>&nbsp;</td>
        <td width='94%' height='16' valign='middle'><strong>Erro</strong></td>

      </tr>
    </table></td>
  </tr><tr>
        <td width='94%' height='13' valign='top'><table width='100%' border='0' align='center' cellpadding='0' style='border-collapse: collapse; border: 1px dashed #FF0000; padding: 0'>
          <tr>
            <td height='19' bgcolor='#FFD2D2'><div align='left' class='style24'>- Para acessar essa página é preciso estar logado.
</div></td>

        </tr>
        </table></td>
        </tr>
        </table></td>";
}
else{
$vip=mssql_fetch_row(mssql_query("select vip from memb_info where memb___id='".$login."'"));
if($vip[0] == 0) { 
echo "<table width='100%' height='41' cellpadding='0' cellspacing='0'>
  <tr>
    <td height='25' valign='middle' background='images/menu_meio.jpg'><table width='99%' height='18' cellpadding='0' cellspacing='0'>
      <tr>
        <td width='6%' valign='middle'>&nbsp;</td>
        <td width='94%' height='16' valign='middle'><strong>Erro</strong></td>

      </tr>
    </table></td>
  </tr><tr>
        <td width='94%' height='13' valign='top'><table width='100%' border='0' align='center' cellpadding='0' style='border-collapse: collapse; border: 1px dashed #FF0000; padding: 0'>
          <tr>
            <td height='19' bgcolor='#FFD2D2'><div align='left' class='style24'>- Para acessar essa página é preciso ser VIP.
</div></td>

        </tr>
        </table></td>
        </tr>
        </table></td>";
}
else{
?>
<?php

if($_POST['prossegue']) {
/* Configuração */
$dir = "../images/chars/"; // Diretório para onde irão as imagens. Tem que setar permissão na pasta 777
$max = "3500000"; // Tamanho máximo que as imagens poderão ter.

/* Pega as informações do arquivo */
$f_name = $_FILES['arquivo']['name'];
$f_tmp = $_FILES['arquivo']['tmp_name'];
$f_type = $_FILES['arquivo']['type'];
$f_size = $_FILES['arquivo']['size'];

/* Verifica o formato do arquivo */
if(($f_type != 'image/jpeg') AND ($f_type != 'image/gif')AND ($f_type != 'image/png')){ echo "<script>alert('Formato do arquivo não é válido!');
location='javascript:history.back()'</script>"; }

/* Verifica o tamanho do arquivo */
elseif($f_size > $max){ echo "<script>alert('Imagem muito grande, máximo permitido: 100 KBs');
location='javascript:history.back()'</script>"; }

/* Verifica se o arquivo já existe no diretório */
elseif(file_exists("$dir/$f_name")){ echo "<script>alert('O arquivo já existe no diretório');
location='javascript:history.back()'</script>"; }

/* Caso esteja tudo correto ele manda o arquivo para o diretório e imprime a confirmação */
else {

/* Envia a imagem */
move_uploaded_file($f_tmp, $dir.$f_name);
$img = $dir.$f_name;
$tipo = $f_type;
$tamanho = "$f_size". Kb."";

/* Registrando imagem no SQL */
$Query = mssql_query("UPDATE Character SET foto='$f_name' WHERE Name='".$char."'");

/* Imprime a confirmação de que o upload foi realizado com sucesso */
echo "<script>alert('Imagem Enviada.');
location='javascript:history.back()'</script>";
}
}
else {
?>
<style>
.submit { font-size:12px; color:#333; font-family:"Trebuchet MS"; border:1px solid #333333; background-color:#F1F1F1;}
}
input { font-size:12px; color:#333333; font-family:"Trebuchet MS"; border:1px solid #333333; CURSOR: url('./seta.cur'); }
textarea { font-size:12px; color:#333333; font-family:"Trebuchet MS"; border:1px solid #333333; CURSOR: url('./seta.cur'); }
a {
	font-family: Trebuchet MS;
	font-size: 12px;
	color: #333333;
}
a:link {
	text-decoration: none;
}
a:visited {
	text-decoration: none;
}
a:hover {
	text-decoration: underline;
	color: #999999;
}
a:active {
	text-decoration: none;
}
</style>
<title>Upload de imagens - <?=$pt['nomemu']?></title>
<form method="POST" action="" enctype="multipart/form-data">

Imagem: 
<input type="file" name="arquivo"><br>
Char: <select name="char" id="char">
		<?
		$Chars = mssql_query("select name from Character where accountid='".$login."'");
		for($p=0;$p<mssql_num_rows($Chars);$p++) {
		$Char=mssql_fetch_row($Chars);
		echo '<option value='.$Char[0].'>'.$Char[0].'</option>';
		}
		?>
        </select><br />
  <input type="submit" class="submit" name="prossegue" id="prossegue" value="Enviar">
</form>
<? } } } ?>